package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.BaseResultDto;
import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.custom.group.type.CustomGroupTypeDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.entity.custom.group.type.CustomGroupTypeAddEntity;
import com.crm.rely.backend.core.entity.custom.group.type.CustomGroupTypeDeleteEntity;
import com.crm.rely.backend.core.entity.custom.group.type.CustomGroupTypeSearchEntity;
import com.crm.rely.backend.core.entity.custom.group.type.CustomGroupTypeUpdateEntity;

import java.util.List;

public interface CustomGroupTypeService {

    void add(CustomGroupTypeAddEntity entity) throws Exception;

    void update(CustomGroupTypeUpdateEntity entity) throws Exception;

    void delete(CustomGroupTypeDeleteEntity entity) throws Exception;

    ResultWithPagerDto<CustomGroupTypeDto> searchPageList(CustomGroupTypeSearchEntity entity) throws Exception;

    BaseResultDto<CustomGroupTypeDto> searchSingle(SingleLongEntity entity) throws Exception;

    BaseResultDto<List<CustomGroupTypeDto>> getList() throws Exception;


}
